Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.ip2
Class SyncSimulationTimeHandler

    java.lang.Object
      ix.ip2.ItemHandler
          ix.ip2.ActivityHandler
              ix.ip2.SyncSimulationTimeHandler

    public class SyncSimulationTimeHandler

extends ActivityHandler

Field Summary
`static Symbol` | `SYNCHRONIZE_SIMULATION_TIME`

Fields inherited from class ix.ip2.ItemHandler
`actionDescription`

Constructor Summary
`SyncSimulationTimeHandler(IXAgent agent)`

Method Summary
`void` | `addHandlerActions(AgendaItem item)` Called to add any `HandlerAction`s that this handler regards as appropriate for the specified AgendaItem.
`boolean` | `appliesTo(AgendaItem item)` Gives this handler a say in whether it should add actions to an item.
`java.util.List` | `getSyntaxList()` Returns a list of patterns representing the item pattern syntaxes this handler can process, or null if no particular syntax is required.
`void` | `handle(AgendaItem item)` Called to perform the action implemented by this handler, if the selected HandlerAction so desires.
`boolean` | `isAutomatic()` Indicates whether this handler has the authority to handle items automatically rather than only when explicitly invoked.

Methods inherited from class ix.ip2.ActivityHandler
`toString`

Methods inherited from class ix.ip2.ItemHandler
`getActionDescription, makeHandler, reviseHandlerActions`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SYNCHRONIZE_SIMULATION_TIME

    public static final Symbol SYNCHRONIZE_SIMULATION_TIME

Constructor Detail

### SyncSimulationTimeHandler

    public SyncSimulationTimeHandler(IXAgent agent)

Method Detail

### getSyntaxList

    public java.util.List getSyntaxList()

  Description copied from class: `ItemHandler`
  Returns a list of patterns representing the item pattern syntaxes this handler can process, or null if no particular syntax is required. Note that this information is not automatically used when determining whether this handler should add actions to an agenda item. Instead, this handler's contribution to that decision is supplied by the `ItemHandler.appliesTo(AgendaItem)` method.

  Overrides:
    `getSyntaxList` in class `ItemHandler`
  See Also:
    `AgendaItem.getPattern()`

### appliesTo

    public boolean appliesTo(AgendaItem item)

  Description copied from class: `ItemHandler`
  Gives this handler a say in whether it should add actions to an item. If this method returns false for an AgendaItem, or the item's wantsActionsFrom method returns false for this handler, this handler will not be asked to add actions to that item.

  Overrides:
    `appliesTo` in class `ItemHandler`
  See Also:
    `AgendaItem.wantsActionsFrom(ItemHandler handler)`

### isAutomatic

    public boolean isAutomatic()

  Description copied from class: `ItemHandler`
  Indicates whether this handler has the authority to handle items automatically rather than only when explicitly invoked.

  Overrides:
    `isAutomatic` in class `ItemHandler`

### addHandlerActions

    public void addHandlerActions(AgendaItem item)

  Description copied from class: `ItemHandler`
  Called to add any `HandlerAction`s that this handler regards as appropriate for the specified AgendaItem.

  This method is called only if both this handler's `ItemHandler.appliesTo(AgendaItem)` and the specified item's `AgendaItem.wantsActionsFrom(ItemHandler)` methods return true.

  The method provided by the ItemHandler class just adds an action that calls this handler's `ItemHandler.handle(AgendaItem)` method. This allows suitably simple handlers to avoid working directly with HandlerActions.

  Note that actions are added by calling an item's `AgendaItem.addAction(HandlerAction)` method.

  Overrides:
    `addHandlerActions` in class `ItemHandler`

### handle

    public void handle(AgendaItem item)

  Description copied from class: `ItemHandler`
  Called to perform the action implemented by this handler, if the selected HandlerAction so desires.

  Overrides:
    `handle` in class `ItemHandler`
  See Also:
    `ItemHandler.addHandlerActions(AgendaItem)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD